%global PKG_NAME msgpack-pure

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:			python-%{PKG_NAME}
Version:	0.1.3
Release:	2%{?dist}
Summary:	Python library for handling the MessagePack format

Group:		Applications/System
License:	MIT
URL:			http://msgpack.org/
Source0:	https://pypi.python.org/packages/source/m/%{PKG_NAME}/%{PKG_NAME}-%{version}.tar.gz

BuildArch:			noarch
BuildRequires:	python-devel
BuildRequires:  python-setuptools

%description
MessagePack is an efficient binary serialization format. It lets you exchange
data among multiple languages like JSON. But it's faster and smaller. Small
integers are encoded into a single byte, and typical short strings require only
one extra byte in addition to the strings themselves.

%prep
%setup -q -n %{PKG_NAME}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc README
%{python2_sitelib}/msgpack_pure-%{version}-py2.6.egg-info
%{python2_sitelib}/msgpack_pure

%changelog
* Tue Nov 11 2014 Wesley Hearn <whearn@redhat.com> - 0.1.3-2
- Updated summary and description

* Mon Oct 27 2014 Wesley Hearn <whearn@redhat.com> - 0.1.3-1
- Initial package 
